From 7a252c475551486efb52f949b8af55803b700bc6 Mon Sep 17 00:00:00 2001
From: Russell Cousineau <miller.time.baby@gmail.com>
Date: Thu, 6 Jun 2019 18:59:59 -0700
Subject: [PATCH] fix(installation): Fix rustlings installation check

---
 install.sh | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/install.sh b/install.sh
index 18d2f539..9cd6048d 100755
--- a/install.sh
+++ b/install.sh
@@ -94,10 +94,9 @@ git checkout -q tags/$Version
 echo "Installing the 'rustlings' executable..."
 cargo install --force --path .
 
-if [ -x "$(rustlings)" ]
+if ! [ -x "$(command -v rustlings)" ]
 then
     echo "WARNING: Please check that you have '~/.cargo/bin' in your PATH environment variable!"
 fi
 
 echo "All done! Run 'rustlings' to get started."
-